# EarSecurityRole

interface EarSecurityRole

A security-role element in a deployment descriptor like application.xml.

## Functions

getDescription
Link copied to clipboard
abstract fun getDescription(): String
A description of the security role.
getRoleName
Link copied to clipboard
abstract fun getRoleName(): String
The name of the security role.
setDescription
Link copied to clipboard
abstract fun setDescription(description: String)
setRoleName
Link copied to clipboard
abstract fun setRoleName(roleName: String)